import _inheritsLoose from "@babel/runtime/helpers/inheritsLoose";
import _Input from "@alifd/next/lib/input";
import _Select from "@alifd/next/lib/select";
import _Box from "@alifd/next/lib/box";
import _extends from "@babel/runtime/helpers/extends";
import React, { Component } from 'react';
import ExampleComponent from '@alilc/lowcode-setter-behavior';
var responseFormatter = function responseFormatter(response) {
  return response.hits.map(function (item) {
    return {
      label: item.title,
      value: item.author
    };
  });
};
var ActionsSetter = function ActionsSetter() {
  var _React$useState = React.useState(),
    value = _React$useState[0],
    setValue = _React$useState[1];
  var _props = {
    onChange: setValue,
    value: value,
    actions: ['onActionClick', 'onClick'],
    url: 'https://hn.algolia.com/api/v1/search?query',
    responseFormatter: responseFormatter,
    enableTooltipAction: true,
    enableMessageAction: true,
    extendedOptions: {
      tooltip: {
        id: 'domId'
      },
      message: {
        types: ['notice', 'success', 'loading', 'warning', 'error'],
        defaultType: 'notice',
        library: 'Next',
        component: 'Message'
      }
    },
    field: {
      parent: {
        setPropValue: function setPropValue() {
          console.log('set prop value: ', _extends({}, arguments));
        },
        getPropValue: function getPropValue(propName) {
          return propName + "- value";
        }
      },
      getNode: function getNode() {
        return {
          document: {
            modalNodesManager: {
              getModalNodes: function getModalNodes() {
                return [{
                  componentName: 'ProDialog',
                  id: 'mockId',
                  propsData: {
                    title: 'mockTitle',
                    ref: 'mockRef'
                  }
                }];
              }
            }
          }
        };
      }
    },
    extraBehaviorActions: [{
      name: 'test',
      title: '测试',
      render: function render(_ref) {
        var _ref$value = _ref.value,
          value = _ref$value === void 0 ? {} : _ref$value,
          _onChange = _ref.onChange;
        return /*#__PURE__*/React.createElement(_Box, {
          direction: "row",
          align: "center",
          className: "behavior-item"
        }, /*#__PURE__*/React.createElement(_Box, {
          style: {
            width: 70
          }
        }, "\u901A\u77E5\u5185\u5BB9"), /*#__PURE__*/React.createElement(_Box, {
          direction: "row",
          className: "behavior-radio",
          spacing: 10
        }, /*#__PURE__*/React.createElement(_Select, {
          hasClear: true,
          showSearch: true,
          dataSource: ['notice', 'success', 'warning', 'error'],
          value: value === null || value === void 0 ? void 0 : value.type,
          onChange: function onChange(val) {
            _onChange(_extends({}, value, {
              type: val
            }));
          }
        }), /*#__PURE__*/React.createElement(_Input, {
          hasClear: true,
          placeholder: "\u8BF7\u8F93\u5165\u5185\u5BB9",
          value: value.content,
          onChange: function onChange(content) {
            _onChange(_extends({}, value, {
              content: content
            }));
          }
        })));
      },
      toActionValue: function toActionValue(value) {
        return {
          type: 'JSExpression',
          value: "function() {Next.Message['" + (value.type || 'notice') + "']('" + value.content + "')}"
        };
      }
    }]
  };
  return /*#__PURE__*/React.createElement("div", {
    style: {
      width: 360
    }
  }, /*#__PURE__*/React.createElement(ExampleComponent, _props));
};
var _default = /*#__PURE__*/function (_Component) {
  _inheritsLoose(_default, _Component);
  function _default() {
    return _Component.apply(this, arguments) || this;
  }
  var _proto = _default.prototype;
  _proto.render = function render() {
    return /*#__PURE__*/React.createElement(ActionsSetter, this.props);
  };
  return _default;
}(Component);
export { _default as default };