"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports["default"] = void 0;
var _inheritsLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/inheritsLoose"));
var _input = _interopRequireDefault(require("@alifd/next/lib/input"));
var _select = _interopRequireDefault(require("@alifd/next/lib/select"));
var _box = _interopRequireDefault(require("@alifd/next/lib/box"));
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _react = _interopRequireWildcard(require("react"));
var _lowcodeSetterBehavior = _interopRequireDefault(require("@alilc/lowcode-setter-behavior"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
var responseFormatter = function responseFormatter(response) {
  return response.hits.map(function (item) {
    return {
      label: item.title,
      value: item.author
    };
  });
};
var ActionsSetter = function ActionsSetter() {
  var _React$useState = _react["default"].useState(),
    value = _React$useState[0],
    setValue = _React$useState[1];
  var _props = {
    onChange: setValue,
    value: value,
    actions: ['onActionClick', 'onClick'],
    url: 'https://hn.algolia.com/api/v1/search?query',
    responseFormatter: responseFormatter,
    enableTooltipAction: true,
    enableMessageAction: true,
    extendedOptions: {
      tooltip: {
        id: 'domId'
      },
      message: {
        types: ['notice', 'success', 'loading', 'warning', 'error'],
        defaultType: 'notice',
        library: 'Next',
        component: 'Message'
      }
    },
    field: {
      parent: {
        setPropValue: function setPropValue() {
          console.log('set prop value: ', (0, _extends2["default"])({}, arguments));
        },
        getPropValue: function getPropValue(propName) {
          return propName + "- value";
        }
      },
      getNode: function getNode() {
        return {
          document: {
            modalNodesManager: {
              getModalNodes: function getModalNodes() {
                return [{
                  componentName: 'ProDialog',
                  id: 'mockId',
                  propsData: {
                    title: 'mockTitle',
                    ref: 'mockRef'
                  }
                }];
              }
            }
          }
        };
      }
    },
    extraBehaviorActions: [{
      name: 'test',
      title: '测试',
      render: function render(_ref) {
        var _ref$value = _ref.value,
          value = _ref$value === void 0 ? {} : _ref$value,
          _onChange = _ref.onChange;
        return /*#__PURE__*/_react["default"].createElement(_box["default"], {
          direction: "row",
          align: "center",
          className: "behavior-item"
        }, /*#__PURE__*/_react["default"].createElement(_box["default"], {
          style: {
            width: 70
          }
        }, "\u901A\u77E5\u5185\u5BB9"), /*#__PURE__*/_react["default"].createElement(_box["default"], {
          direction: "row",
          className: "behavior-radio",
          spacing: 10
        }, /*#__PURE__*/_react["default"].createElement(_select["default"], {
          hasClear: true,
          showSearch: true,
          dataSource: ['notice', 'success', 'warning', 'error'],
          value: value === null || value === void 0 ? void 0 : value.type,
          onChange: function onChange(val) {
            _onChange((0, _extends2["default"])({}, value, {
              type: val
            }));
          }
        }), /*#__PURE__*/_react["default"].createElement(_input["default"], {
          hasClear: true,
          placeholder: "\u8BF7\u8F93\u5165\u5185\u5BB9",
          value: value.content,
          onChange: function onChange(content) {
            _onChange((0, _extends2["default"])({}, value, {
              content: content
            }));
          }
        })));
      },
      toActionValue: function toActionValue(value) {
        return {
          type: 'JSExpression',
          value: "function() {Next.Message['" + (value.type || 'notice') + "']('" + value.content + "')}"
        };
      }
    }]
  };
  return /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      width: 360
    }
  }, /*#__PURE__*/_react["default"].createElement(_lowcodeSetterBehavior["default"], _props));
};
var _default = exports["default"] = /*#__PURE__*/function (_Component) {
  (0, _inheritsLoose2["default"])(_default, _Component);
  function _default() {
    return _Component.apply(this, arguments) || this;
  }
  var _proto = _default.prototype;
  _proto.render = function render() {
    return /*#__PURE__*/_react["default"].createElement(ActionsSetter, this.props);
  };
  return _default;
}(_react.Component);